User32
Date: 2010-04-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Interface User32

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary, W32API

    public interface User32

extends W32API

Provides access to the w32 user32 library. Incomplete implementation to support demos.

Nested Class Summary
`static class` | `User32.BLENDFUNCTION`
`static class` | `User32.FLASHWINFO`
`static class` | `User32.GUITHREADINFO`
`static class` | `User32.HHOOK`
`static interface` | `User32.HOOKPROC`
`static class` | `User32.KBDLLHOOKSTRUCT`
`static interface` | `User32.LowLevelKeyboardProc`
`static class` | `User32.MSG`
`static class` | `User32.POINT` Defines the x- and y-coordinates of a point.
`static class` | `User32.SIZE` Specifies the width and height of a rectangle.
`static class` | `User32.WINDOWINFO`
`static interface` | `User32.WNDENUMPROC`

Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.W32API
`W32API.DWORD, W32API.HANDLE, W32API.HANDLEByReference, W32API.HBITMAP, W32API.HDC, W32API.HICON, W32API.HINSTANCE, W32API.HMODULE, W32API.HRESULT, W32API.HRGN, W32API.HWND, W32API.LONG, W32API.LONG_PTR, W32API.LPARAM, W32API.LRESULT, W32API.SIZE_T, W32API.SSIZE_T, W32API.UINT_PTR, W32API.ULONG_PTR, W32API.WORD, W32API.WPARAM`

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static int` | `AC_SRC_ALPHA`
`static int` | `AC_SRC_NO_ALPHA`
`static int` | `AC_SRC_NO_PREMULT_ALPHA`
`static int` | `AC_SRC_OVER`
`static int` | `DWL_DLGPROC`
`static int` | `DWL_MSGRESULT`
`static int` | `DWL_USER`
`static int` | `FLASHW_ALL`
`static int` | `FLASHW_CAPTION`
`static int` | `FLASHW_STOP`
`static int` | `FLASHW_TIMER`
`static int` | `FLASHW_TIMERNOFG`
`static int` | `FLASHW_TRAY`
`static int` | `GWL_EXSTYLE`
`static int` | `GWL_HINSTANCE`
`static int` | `GWL_ID`
`static int` | `GWL_STYLE`
`static int` | `GWL_USERDATA`
`static int` | `GWL_WNDPROC`
`static int` | `IMAGE_BITMAP`
`static int` | `IMAGE_CURSOR`
`static int` | `IMAGE_ENHMETAFILE`
`static int` | `IMAGE_ICON`
`static User32` | `INSTANCE`
`static int` | `LR_COLOR`
`static int` | `LR_COPYDELETEORG`
`static int` | `LR_COPYFROMRESOURCE`
`static int` | `LR_COPYRETURNORG`
`static int` | `LR_CREATEDIBSECTION`
`static int` | `LR_DEFAULTCOLOR`
`static int` | `LR_DEFAULTSIZE`
`static int` | `LR_LOADFROMFILE`
`static int` | `LR_LOADMAP3DCOLORS`
`static int` | `LR_LOADTRANSPARENT`
`static int` | `LR_MONOCHROME`
`static int` | `LR_SHARED`
`static int` | `LR_VGACOLOR`
`static int` | `LWA_ALPHA`
`static int` | `LWA_COLORKEY`
`static int` | `ULW_ALPHA`
`static int` | `ULW_COLORKEY`
`static int` | `ULW_OPAQUE`
`static int` | `VK_CONTROL`
`static int` | `VK_LCONTROL`
`static int` | `VK_LMENU`
`static int` | `VK_LSHIFT`
`static int` | `VK_MENU`
`static int` | `VK_RCONTROL`
`static int` | `VK_RMENU`
`static int` | `VK_RSHIFT`
`static int` | `VK_SHIFT`
`static int` | `WH_KEYBOARD`
`static int` | `WH_KEYBOARD_LL`
`static int` | `WH_MOUSE`
`static int` | `WH_MOUSE_LL`
`static int` | `WM_KEYDOWN`
`static int` | `WM_KEYUP`
`static int` | `WM_SYSKEYDOWN`
`static int` | `WM_SYSKEYUP`
`static int` | `WS_EX_COMPOSITED`
`static int` | `WS_EX_LAYERED`
`static int` | `WS_EX_TRANSPARENT`

Fields inherited from interface com.sun.jna.platform.win32.W32API
`HWND_BROADCAST, INVALID_HANDLE_VALUE`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Method Summary
`W32API.LRESULT` | `CallNextHookEx(User32.HHOOK hhk, int nCode, W32API.WPARAM wParam, com.sun.jna.Pointer lParam)`
`W32API.LRESULT` | `CallNextHookEx(User32.HHOOK hhk, int nCode, W32API.WPARAM wParam, W32API.LPARAM lParam)`
`boolean` | `DestroyIcon(W32API.HICON hicon)`
`W32API.LRESULT` | `DispatchMessage(User32.MSG lpMsg)`
`boolean` | `EnumChildWindows(W32API.HWND hWnd, User32.WNDENUMPROC lpEnumFunc, com.sun.jna.Pointer data)`
`boolean` | `EnumThreadWindows(int dwThreadId, User32.WNDENUMPROC lpEnumFunc, com.sun.jna.Pointer data)`
`boolean` | `EnumWindows(User32.WNDENUMPROC lpEnumFunc, com.sun.jna.Pointer data)`
`W32API.HWND` | `FindWindow(java.lang.String winClass, java.lang.String title)`
`boolean` | `FlashWindowEx(User32.FLASHWINFO info)`
`short` | `GetAsyncKeyState(int vKey)`
`int` | `GetClassName(W32API.HWND hWnd, byte[] lpClassName, int nMaxCount)` ASCII version.
`int` | `GetClassName(W32API.HWND hWnd, char[] lpClassName, int nMaxCount)` Unicode version.
`W32API.HDC` | `GetDC(W32API.HWND hWnd)`
`boolean` | `GetGUIThreadInfo(int idThread, User32.GUITHREADINFO lpgui)`
`boolean` | `GetKeyboardState(byte[] state)`
`boolean` | `GetLayeredWindowAttributes(W32API.HWND hwnd, com.sun.jna.ptr.IntByReference pcrKey, com.sun.jna.ptr.ByteByReference pbAlpha, com.sun.jna.ptr.IntByReference pdwFlags)`
`int` | `GetMessage(User32.MSG lpMsg, W32API.HWND hWnd, int wMsgFilterMin, int wMsgFilterMax)`
`boolean` | `GetWindowInfo(W32API.HWND hWnd, User32.WINDOWINFO pwi)`
`int` | `GetWindowLong(W32API.HWND hWnd, int nIndex)`
`W32API.LONG_PTR` | `GetWindowLongPtr(W32API.HWND hWnd, int nIndex)`
`int` | `GetWindowModuleFileName(W32API.HWND hWnd, byte[] lpszFileName, int cchFileNameMax)` ASCII version.
`int` | `GetWindowModuleFileName(W32API.HWND hWnd, char[] lpszFileName, int cchFileNameMax)` Unicode version.
`boolean` | `GetWindowRect(W32API.HWND hWnd, GDI32.RECT rect)`
`int` | `GetWindowText(W32API.HWND hWnd, byte[] lpString, int nMaxCount)` ASCII version.
`int` | `GetWindowText(W32API.HWND hWnd, char[] lpString, int nMaxCount)` Unicode version.
`int` | `GetWindowTextLength(W32API.HWND hWnd)`
`int` | `GetWindowThreadProcessId(W32API.HWND hWnd, com.sun.jna.ptr.IntByReference lpdwProcessId)`
`W32API.HICON` | `LoadIcon(W32API.HINSTANCE hInstance, java.lang.String iconName)`
`W32API.HANDLE` | `LoadImage(W32API.HINSTANCE hinst, java.lang.String name, int type, int xDesired, int yDesired, int load)`
`boolean` | `PeekMessage(User32.MSG lpMsg, W32API.HWND hWnd, int wMsgFilterMin, int wMsgFilterMax, int wRemoveMsg)`
`void` | `PostMessage(W32API.HWND hWnd, int msg, W32API.WPARAM wParam, W32API.LPARAM lParam)`
`void` | `PostQuitMessage(int nExitCode)`
`int` | `ReleaseDC(W32API.HWND hWnd, W32API.HDC hDC)`
`boolean` | `SetLayeredWindowAttributes(W32API.HWND hwnd, int crKey, byte bAlpha, int dwFlags)`
`int` | `SetWindowLong(W32API.HWND hWnd, int nIndex, int dwNewLong)`
`com.sun.jna.Pointer` | `SetWindowLong(W32API.HWND hWnd, int nIndex, com.sun.jna.Pointer dwNewLong)`
`com.sun.jna.Pointer` | `SetWindowLongPtr(W32API.HWND hWnd, int nIndex, com.sun.jna.Pointer dwNewLongPtr)`
`W32API.LONG_PTR` | `SetWindowLongPtr(W32API.HWND hWnd, int nIndex, W32API.LONG_PTR dwNewLongPtr)`
`int` | `SetWindowRgn(W32API.HWND hWnd, W32API.HRGN hRgn, boolean bRedraw)`
`User32.HHOOK` | `SetWindowsHookEx(int idHook, User32.HOOKPROC lpfn, W32API.HINSTANCE hMod, int dwThreadId)`
`boolean` | `TranslateMessage(User32.MSG lpMsg)`
`boolean` | `UnhookWindowsHookEx(User32.HHOOK hhk)`
`boolean` | `UpdateLayeredWindow(W32API.HWND hwnd, W32API.HDC hdcDst, User32.POINT pptDst, User32.SIZE psize, W32API.HDC hdcSrc, User32.POINT pptSrc, int crKey, User32.BLENDFUNCTION pblend, int dwFlags)`

Field Detail

### INSTANCE

    static final User32 INSTANCE

### FLASHW_STOP

    static final int FLASHW_STOP

See Also:
  Constant Field Values

### FLASHW_CAPTION

    static final int FLASHW_CAPTION

See Also:
  Constant Field Values

### FLASHW_TRAY

    static final int FLASHW_TRAY

See Also:
  Constant Field Values

### FLASHW_ALL

    static final int FLASHW_ALL

See Also:
  Constant Field Values

### FLASHW_TIMER

    static final int FLASHW_TIMER

See Also:
  Constant Field Values

### FLASHW_TIMERNOFG

    static final int FLASHW_TIMERNOFG

See Also:
  Constant Field Values

### IMAGE_BITMAP

    static final int IMAGE_BITMAP

See Also:
  Constant Field Values

### IMAGE_ICON

    static final int IMAGE_ICON

See Also:
  Constant Field Values

### IMAGE_CURSOR

    static final int IMAGE_CURSOR

See Also:
  Constant Field Values

### IMAGE_ENHMETAFILE

    static final int IMAGE_ENHMETAFILE

See Also:
  Constant Field Values

### LR_DEFAULTCOLOR

    static final int LR_DEFAULTCOLOR

See Also:
  Constant Field Values

### LR_MONOCHROME

    static final int LR_MONOCHROME

See Also:
  Constant Field Values

### LR_COLOR

    static final int LR_COLOR

See Also:
  Constant Field Values

### LR_COPYRETURNORG

    static final int LR_COPYRETURNORG

See Also:
  Constant Field Values

### LR_COPYDELETEORG

    static final int LR_COPYDELETEORG

See Also:
  Constant Field Values

### LR_LOADFROMFILE

    static final int LR_LOADFROMFILE

See Also:
  Constant Field Values

### LR_LOADTRANSPARENT

    static final int LR_LOADTRANSPARENT

See Also:
  Constant Field Values

### LR_DEFAULTSIZE

    static final int LR_DEFAULTSIZE

See Also:
  Constant Field Values

### LR_VGACOLOR

    static final int LR_VGACOLOR

See Also:
  Constant Field Values

### LR_LOADMAP3DCOLORS

    static final int LR_LOADMAP3DCOLORS

See Also:
  Constant Field Values

### LR_CREATEDIBSECTION

    static final int LR_CREATEDIBSECTION

See Also:
  Constant Field Values

### LR_COPYFROMRESOURCE

    static final int LR_COPYFROMRESOURCE

See Also:
  Constant Field Values

### LR_SHARED

    static final int LR_SHARED

See Also:
  Constant Field Values

### GWL_EXSTYLE

    static final int GWL_EXSTYLE

See Also:
  Constant Field Values

### GWL_STYLE

    static final int GWL_STYLE

See Also:
  Constant Field Values

### GWL_WNDPROC

    static final int GWL_WNDPROC

See Also:
  Constant Field Values

### GWL_HINSTANCE

    static final int GWL_HINSTANCE

See Also:
  Constant Field Values

### GWL_ID

    static final int GWL_ID

See Also:
  Constant Field Values

### GWL_USERDATA

    static final int GWL_USERDATA

See Also:
  Constant Field Values

### DWL_DLGPROC

    static final int DWL_DLGPROC

See Also:
  Constant Field Values

### DWL_MSGRESULT

    static final int DWL_MSGRESULT

See Also:
  Constant Field Values

### DWL_USER

    static final int DWL_USER

See Also:
  Constant Field Values

### WS_EX_COMPOSITED

    static final int WS_EX_COMPOSITED

See Also:
  Constant Field Values

### WS_EX_LAYERED

    static final int WS_EX_LAYERED

See Also:
  Constant Field Values

### WS_EX_TRANSPARENT

    static final int WS_EX_TRANSPARENT

See Also:
  Constant Field Values

### LWA_COLORKEY

    static final int LWA_COLORKEY

See Also:
  Constant Field Values

### LWA_ALPHA

    static final int LWA_ALPHA

See Also:
  Constant Field Values

### ULW_COLORKEY

    static final int ULW_COLORKEY

See Also:
  Constant Field Values

### ULW_ALPHA

    static final int ULW_ALPHA

See Also:
  Constant Field Values

### ULW_OPAQUE

    static final int ULW_OPAQUE

See Also:
  Constant Field Values

### AC_SRC_OVER

    static final int AC_SRC_OVER

See Also:
  Constant Field Values

### AC_SRC_ALPHA

    static final int AC_SRC_ALPHA

See Also:
  Constant Field Values

### AC_SRC_NO_PREMULT_ALPHA

    static final int AC_SRC_NO_PREMULT_ALPHA

See Also:
  Constant Field Values

### AC_SRC_NO_ALPHA

    static final int AC_SRC_NO_ALPHA

See Also:
  Constant Field Values

### VK_SHIFT

    static final int VK_SHIFT

See Also:
  Constant Field Values

### VK_LSHIFT

    static final int VK_LSHIFT

See Also:
  Constant Field Values

### VK_RSHIFT

    static final int VK_RSHIFT

See Also:
  Constant Field Values

### VK_CONTROL

    static final int VK_CONTROL

See Also:
  Constant Field Values

### VK_LCONTROL

    static final int VK_LCONTROL

See Also:
  Constant Field Values

### VK_RCONTROL

    static final int VK_RCONTROL

See Also:
  Constant Field Values

### VK_MENU

    static final int VK_MENU

See Also:
  Constant Field Values

### VK_LMENU

    static final int VK_LMENU

See Also:
  Constant Field Values

### VK_RMENU

    static final int VK_RMENU

See Also:
  Constant Field Values

### WH_KEYBOARD

    static final int WH_KEYBOARD

See Also:
  Constant Field Values

### WH_MOUSE

    static final int WH_MOUSE

See Also:
  Constant Field Values

### WH_KEYBOARD_LL

    static final int WH_KEYBOARD_LL

See Also:
  Constant Field Values

### WH_MOUSE_LL

    static final int WH_MOUSE_LL

See Also:
  Constant Field Values

### WM_KEYDOWN

    static final int WM_KEYDOWN

See Also:
  Constant Field Values

### WM_KEYUP

    static final int WM_KEYUP

See Also:
  Constant Field Values

### WM_SYSKEYDOWN

    static final int WM_SYSKEYDOWN

See Also:
  Constant Field Values

### WM_SYSKEYUP

    static final int WM_SYSKEYUP

See Also:
  Constant Field Values

Method Detail

### GetDC

    W32API.HDC GetDC(W32API.HWND hWnd)

### ReleaseDC

    int ReleaseDC(W32API.HWND hWnd,
                  W32API.HDC hDC)

### FindWindow

    W32API.HWND FindWindow(java.lang.String winClass,
                           java.lang.String title)

### GetClassName

    int GetClassName(W32API.HWND hWnd,
                     byte[] lpClassName,
                     int nMaxCount)

  ASCII version.

### GetClassName

    int GetClassName(W32API.HWND hWnd,
                     char[] lpClassName,
                     int nMaxCount)

  Unicode version.

### GetGUIThreadInfo

    boolean GetGUIThreadInfo(int idThread,
                             User32.GUITHREADINFO lpgui)

### GetWindowInfo

    boolean GetWindowInfo(W32API.HWND hWnd,
                          User32.WINDOWINFO pwi)

### GetWindowRect

    boolean GetWindowRect(W32API.HWND hWnd,
                          GDI32.RECT rect)

### GetWindowText

    int GetWindowText(W32API.HWND hWnd,
                      byte[] lpString,
                      int nMaxCount)

  ASCII version.

### GetWindowText

    int GetWindowText(W32API.HWND hWnd,
                      char[] lpString,
                      int nMaxCount)

  Unicode version.

### GetWindowTextLength

    int GetWindowTextLength(W32API.HWND hWnd)

### GetWindowModuleFileName

    int GetWindowModuleFileName(W32API.HWND hWnd,
                                byte[] lpszFileName,
                                int cchFileNameMax)

  ASCII version.

### GetWindowModuleFileName

    int GetWindowModuleFileName(W32API.HWND hWnd,
                                char[] lpszFileName,
                                int cchFileNameMax)

  Unicode version.

### GetWindowThreadProcessId

    int GetWindowThreadProcessId(W32API.HWND hWnd,
                                 com.sun.jna.ptr.IntByReference lpdwProcessId)

### EnumWindows

    boolean EnumWindows(User32.WNDENUMPROC lpEnumFunc,
                        com.sun.jna.Pointer data)

### EnumChildWindows

    boolean EnumChildWindows(W32API.HWND hWnd,
                             User32.WNDENUMPROC lpEnumFunc,
                             com.sun.jna.Pointer data)

### EnumThreadWindows

    boolean EnumThreadWindows(int dwThreadId,
                              User32.WNDENUMPROC lpEnumFunc,
                              com.sun.jna.Pointer data)

### FlashWindowEx

    boolean FlashWindowEx(User32.FLASHWINFO info)

### LoadIcon

    W32API.HICON LoadIcon(W32API.HINSTANCE hInstance,
                          java.lang.String iconName)

### LoadImage

    W32API.HANDLE LoadImage(W32API.HINSTANCE hinst,
                            java.lang.String name,
                            int type,
                            int xDesired,
                            int yDesired,
                            int load)

### DestroyIcon

    boolean DestroyIcon(W32API.HICON hicon)

### GetWindowLong

    int GetWindowLong(W32API.HWND hWnd,
                      int nIndex)

### SetWindowLong

    int SetWindowLong(W32API.HWND hWnd,
                      int nIndex,
                      int dwNewLong)

### SetWindowLong

    com.sun.jna.Pointer SetWindowLong(W32API.HWND hWnd,
                                      int nIndex,
                                      com.sun.jna.Pointer dwNewLong)

### GetWindowLongPtr

    W32API.LONG_PTR GetWindowLongPtr(W32API.HWND hWnd,
                                     int nIndex)

### SetWindowLongPtr

    W32API.LONG_PTR SetWindowLongPtr(W32API.HWND hWnd,
                                     int nIndex,
                                     W32API.LONG_PTR dwNewLongPtr)

### SetWindowLongPtr

    com.sun.jna.Pointer SetWindowLongPtr(W32API.HWND hWnd,
                                         int nIndex,
                                         com.sun.jna.Pointer dwNewLongPtr)

### SetLayeredWindowAttributes

    boolean SetLayeredWindowAttributes(W32API.HWND hwnd,
                                       int crKey,
                                       byte bAlpha,
                                       int dwFlags)

### GetLayeredWindowAttributes

    boolean GetLayeredWindowAttributes(W32API.HWND hwnd,
                                       com.sun.jna.ptr.IntByReference pcrKey,
                                       com.sun.jna.ptr.ByteByReference pbAlpha,
                                       com.sun.jna.ptr.IntByReference pdwFlags)

### UpdateLayeredWindow

    boolean UpdateLayeredWindow(W32API.HWND hwnd,
                                W32API.HDC hdcDst,
                                User32.POINT pptDst,
                                User32.SIZE psize,
                                W32API.HDC hdcSrc,
                                User32.POINT pptSrc,
                                int crKey,
                                User32.BLENDFUNCTION pblend,
                                int dwFlags)

### SetWindowRgn

    int SetWindowRgn(W32API.HWND hWnd,
                     W32API.HRGN hRgn,
                     boolean bRedraw)

### GetKeyboardState

    boolean GetKeyboardState(byte[] state)

### GetAsyncKeyState

    short GetAsyncKeyState(int vKey)

### SetWindowsHookEx

    User32.HHOOK SetWindowsHookEx(int idHook,
                                  User32.HOOKPROC lpfn,
                                  W32API.HINSTANCE hMod,
                                  int dwThreadId)

### CallNextHookEx

    W32API.LRESULT CallNextHookEx(User32.HHOOK hhk,
                                  int nCode,
                                  W32API.WPARAM wParam,
                                  W32API.LPARAM lParam)

### CallNextHookEx

    W32API.LRESULT CallNextHookEx(User32.HHOOK hhk,
                                  int nCode,
                                  W32API.WPARAM wParam,
                                  com.sun.jna.Pointer lParam)

### UnhookWindowsHookEx

    boolean UnhookWindowsHookEx(User32.HHOOK hhk)

### GetMessage

    int GetMessage(User32.MSG lpMsg,
                   W32API.HWND hWnd,
                   int wMsgFilterMin,
                   int wMsgFilterMax)

### PeekMessage

    boolean PeekMessage(User32.MSG lpMsg,
                        W32API.HWND hWnd,
                        int wMsgFilterMin,
                        int wMsgFilterMax,
                        int wRemoveMsg)

### TranslateMessage

    boolean TranslateMessage(User32.MSG lpMsg)

### DispatchMessage

    W32API.LRESULT DispatchMessage(User32.MSG lpMsg)

### PostMessage

    void PostMessage(W32API.HWND hWnd,
                     int msg,
                     W32API.WPARAM wParam,
                     W32API.LPARAM lParam)

### PostQuitMessage

    void PostQuitMessage(int nExitCode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD